import { KmsKeyringNode } from "@aws-crypto/client-node";
import { Context } from "./context";
export interface KMSConfig {
    KMSKeyId?: string;
    KMSKeyAlias?: string;
}
export declare class CryptoService {
    _keyringNode?: KmsKeyringNode;
    config?: KMSConfig & AWS.KMS.ClientConfiguration;
    constructor(config?: KMSConfig);
    get keyringNode(): KmsKeyringNode;
    encrypt(ctx: Context, plaintext: string): Promise<string>;
}
