import { Context } from "../context";
import { Message } from "../messages";
import { User } from "../userPoolService";
import { MessageSender } from "./messageSender";
export declare class ConsoleMessageSender implements MessageSender {
    sendEmail(ctx: Context, user: User, destination: string, message: Message): Promise<void>;
    sendSms(ctx: Context, user: User, destination: string, message: Message): Promise<void>;
    private sendToConsole;
}
