import { AdminCreateUserRequest, AdminCreateUserResponse } from "aws-sdk/clients/cognitoidentityserviceprovider";
import { Services } from "../services";
import { Target } from "./Target";
export declare type AdminCreateUserTarget = Target<AdminCreateUserRequest, AdminCreateUserResponse>;
declare type AdminCreateUserServices = Pick<Services, "clock" | "cognito" | "messages" | "config">;
export declare const AdminCreateUser: ({ clock, cognito, messages, config, }: AdminCreateUserServices) => AdminCreateUserTarget;
export {};
