import { ConfirmSignUpRequest, ConfirmSignUpResponse } from "aws-sdk/clients/cognitoidentityserviceprovider";
import { Services } from "../services";
import { Target } from "./Target";
export declare type ConfirmSignUpTarget = Target<ConfirmSignUpRequest, ConfirmSignUpResponse>;
export declare const ConfirmSignUp: ({ cognito, clock, triggers, }: Pick<Services, "cognito" | "clock" | "triggers">) => ConfirmSignUpTarget;
