import { CreateUserPoolRequest, CreateUserPoolResponse } from "aws-sdk/clients/cognitoidentityserviceprovider";
import { Services } from "../services";
import { Target } from "./Target";
export declare type CreateUserPoolTarget = Target<CreateUserPoolRequest, CreateUserPoolResponse>;
declare type CreateUserPoolServices = Pick<Services, "clock" | "cognito">;
export declare const CreateUserPool: ({ cognito, clock }: CreateUserPoolServices) => CreateUserPoolTarget;
export {};
