import { GetUserAttributeVerificationCodeRequest, GetUserAttributeVerificationCodeResponse } from "aws-sdk/clients/cognitoidentityserviceprovider";
import { Services } from "../services";
import { Target } from "./Target";
export declare type GetUserAttributeVerificationCodeTarget = Target<GetUserAttributeVerificationCodeRequest, GetUserAttributeVerificationCodeResponse>;
declare type GetUserAttributeVerificationCodeServices = Pick<Services, "cognito" | "otp" | "messages">;
export declare const GetUserAttributeVerificationCode: ({ cognito, otp, messages, }: GetUserAttributeVerificationCodeServices) => GetUserAttributeVerificationCodeTarget;
export {};
