var __defProp = Object.defineProperty;
var __markAsModule = (target) => __defProp(target, "__esModule", { value: true });
var __export = (target, all) => {
  __markAsModule(target);
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
__export(exports, {
  GetUserPoolMfaConfig: () => GetUserPoolMfaConfig
});
const GetUserPoolMfaConfig = ({ cognito }) => async (ctx, req) => {
  const userPool = await cognito.getUserPool(ctx, req.UserPoolId);
  return {
    MfaConfiguration: userPool.options.MfaConfiguration,
    SmsMfaConfiguration: {
      SmsAuthenticationMessage: userPool.options.SmsAuthenticationMessage,
      SmsConfiguration: userPool.options.SmsConfiguration
    },
    SoftwareTokenMfaConfiguration: {
      Enabled: false
    }
  };
};
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  GetUserPoolMfaConfig
});
