import { GroupType, UserPoolClientType, UserPoolType, UserType } from "aws-sdk/clients/cognitoidentityserviceprovider";
import { AppClient } from "../services/appClient";
import { Group, User, UserPool } from "../services/userPoolService";
export declare const appClientToResponseObject: (appClient: AppClient) => UserPoolClientType;
export declare const userToResponseObject: (user: User) => UserType;
export declare const groupToResponseObject: (userPoolId: string) => (group: Group) => GroupType;
export declare const userPoolToResponseObject: (userPool: UserPool) => UserPoolType;
