var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
var __markAsModule = (target) => __defProp(target, "__esModule", { value: true });
var __export = (target, all) => {
  __markAsModule(target);
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
__export(exports, {
  UpdateUserPool: () => UpdateUserPool
});
const UpdateUserPool = ({ cognito }) => async (ctx, req) => {
  const userPool = await cognito.getUserPool(ctx, req.UserPoolId);
  const updatedUserPool = __spreadProps(__spreadValues({}, userPool.options), {
    AccountRecoverySetting: req.AccountRecoverySetting,
    AdminCreateUserConfig: req.AdminCreateUserConfig,
    AutoVerifiedAttributes: req.AutoVerifiedAttributes,
    DeviceConfiguration: req.DeviceConfiguration,
    EmailConfiguration: req.EmailConfiguration,
    EmailVerificationMessage: req.EmailVerificationMessage,
    EmailVerificationSubject: req.EmailVerificationSubject,
    LambdaConfig: req.LambdaConfig,
    MfaConfiguration: req.MfaConfiguration,
    Policies: req.Policies,
    SmsAuthenticationMessage: req.SmsAuthenticationMessage,
    SmsConfiguration: req.SmsConfiguration,
    SmsVerificationMessage: req.SmsVerificationMessage,
    UserPoolAddOns: req.UserPoolAddOns,
    UserPoolTags: req.UserPoolTags,
    VerificationMessageTemplate: req.VerificationMessageTemplate
  });
  await userPool.updateOptions(ctx, updatedUserPool);
  return {};
};
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  UpdateUserPool
});
