import { VerifyUserAttributeRequest, VerifyUserAttributeResponse } from "aws-sdk/clients/cognitoidentityserviceprovider";
import { Services } from "../services";
import { Target } from "./Target";
export declare type VerifyUserAttributeTarget = Target<VerifyUserAttributeRequest, VerifyUserAttributeResponse>;
declare type VerifyUserAttributeServices = Pick<Services, "clock" | "cognito">;
export declare const VerifyUserAttribute: ({ clock, cognito, }: VerifyUserAttributeServices) => VerifyUserAttributeTarget;
export {};
