var __defProp = Object.defineProperty;
var __markAsModule = (target) => __defProp(target, "__esModule", { value: true });
var __export = (target, all) => {
  __markAsModule(target);
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
__export(exports, {
  InMemoryCache: () => InMemoryCache,
  NoOpCache: () => NoOpCache
});
class InMemoryCache {
  constructor() {
    this.cache = {};
  }
  get(key) {
    return this.cache[key];
  }
  set(key, value) {
    this.cache[key] = value;
  }
}
class NoOpCache {
  get() {
    return null;
  }
  set() {
  }
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  InMemoryCache,
  NoOpCache
});
