var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __markAsModule = (target) => __defProp(target, "__esModule", { value: true });
var __objRest = (source, exclude) => {
  var target = {};
  for (var prop in source)
    if (__hasOwnProp.call(source, prop) && exclude.indexOf(prop) < 0)
      target[prop] = source[prop];
  if (source != null && __getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(source)) {
      if (exclude.indexOf(prop) < 0 && __propIsEnum.call(source, prop))
        target[prop] = source[prop];
    }
  return target;
};
var __export = (target, all) => {
  __markAsModule(target);
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __reExport = (target, module2, desc) => {
  if (module2 && typeof module2 === "object" || typeof module2 === "function") {
    for (let key of __getOwnPropNames(module2))
      if (!__hasOwnProp.call(target, key) && key !== "default")
        __defProp(target, key, { get: () => module2[key], enumerable: !(desc = __getOwnPropDesc(module2, key)) || desc.enumerable });
  }
  return target;
};
var __toModule = (module2) => {
  return __reExport(__markAsModule(__defProp(module2 != null ? __create(__getProtoOf(module2)) : {}, "default", module2 && module2.__esModule && "default" in module2 ? { get: () => module2.default, enumerable: true } : { value: module2, enumerable: true })), module2);
};
__export(exports, {
  ConsoleMessageSender: () => ConsoleMessageSender
});
var import_boxen = __toModule(require("boxen"));
class ConsoleMessageSender {
  sendEmail(ctx, user, destination, message) {
    return this.sendToConsole(ctx, user, destination, message);
  }
  sendSms(ctx, user, destination, message) {
    return this.sendToConsole(ctx, user, destination, message);
  }
  sendToConsole(ctx, user, destination, _a) {
    var _b = _a, { __code } = _b, message = __objRest(_b, ["__code"]);
    const fields = {
      Username: user.Username,
      Destination: destination,
      Code: __code,
      "Email Subject": message.emailSubject,
      "Email Message": message.emailMessage,
      "SMS Message": message.smsMessage
    };
    const definedFields = Object.entries(fields).filter((kv) => !!kv[1]);
    const longestDefinedFieldName = Math.max(...definedFields.map(([k]) => k.length));
    const formattedFields = definedFields.map(([k, v]) => `${(k + ":").padEnd(longestDefinedFieldName + 1)} ${v}`);
    ctx.logger.info((0, import_boxen.default)(`Confirmation Code Delivery

${formattedFields.join("\n")}`, {
      borderStyle: "round",
      borderColor: "yellow",
      padding: 1
    }));
    return Promise.resolve();
  }
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  ConsoleMessageSender
});
