import { AddCustomAttributesRequest, AddCustomAttributesResponse } from "aws-sdk/clients/cognitoidentityserviceprovider";
import { Services } from "../services";
import { Target } from "./Target";
export declare type AddCustomAttributesTarget = Target<AddCustomAttributesRequest, AddCustomAttributesResponse>;
declare type AddCustomAttributesServices = Pick<Services, "clock" | "cognito">;
export declare const AddCustomAttributes: ({ clock, cognito, }: AddCustomAttributesServices) => AddCustomAttributesTarget;
export {};
