import { AdminDisableUserRequest, AdminDisableUserResponse } from "aws-sdk/clients/cognitoidentityserviceprovider";
import { Services } from "../services";
import { Target } from "./Target";
export declare type AdminDisableUserTarget = Target<AdminDisableUserRequest, AdminDisableUserResponse>;
declare type AdminDisableUserServices = Pick<Services, "cognito" | "clock">;
export declare const AdminDisableUser: ({ cognito, clock }: AdminDisableUserServices) => AdminDisableUserTarget;
export {};
