import { ChangePasswordRequest, ChangePasswordResponse } from "aws-sdk/clients/cognitoidentityserviceprovider";
import { Services } from "../services";
import { Target } from "./Target";
export declare type ChangePasswordTarget = Target<ChangePasswordRequest, ChangePasswordResponse>;
declare type ChangePasswordServices = Pick<Services, "cognito" | "clock">;
export declare const ChangePassword: ({ cognito, clock }: ChangePasswordServices) => ChangePasswordTarget;
export {};
