import { RevokeTokenRequest, RevokeTokenResponse } from "aws-sdk/clients/cognitoidentityserviceprovider";
import { Services } from "../services";
import { Target } from "./Target";
export declare type RevokeTokenTarget = Target<RevokeTokenRequest, RevokeTokenResponse>;
declare type RevokeTokenServices = Pick<Services, "cognito">;
export declare const RevokeToken: ({ cognito }: RevokeTokenServices) => RevokeTokenTarget;
export {};
