import { SignUpRequest, SignUpResponse } from "aws-sdk/clients/cognitoidentityserviceprovider";
import { Services } from "../services";
import { Target } from "./Target";
export declare type SignUpTarget = Target<SignUpRequest, SignUpResponse>;
declare type SignUpServices = Pick<Services, "clock" | "cognito" | "messages" | "otp" | "triggers" | "config">;
export declare const SignUp: ({ clock, cognito, messages, otp, triggers, config, }: SignUpServices) => SignUpTarget;
export {};
