var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __markAsModule = (target) => __defProp(target, "__esModule", { value: true });
var __export = (target, all) => {
  __markAsModule(target);
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __reExport = (target, module2, desc) => {
  if (module2 && typeof module2 === "object" || typeof module2 === "function") {
    for (let key of __getOwnPropNames(module2))
      if (!__hasOwnProp.call(target, key) && key !== "default")
        __defProp(target, key, { get: () => module2[key], enumerable: !(desc = __getOwnPropDesc(module2, key)) || desc.enumerable });
  }
  return target;
};
var __toModule = (module2) => {
  return __reExport(__markAsModule(__defProp(module2 != null ? __create(__getProtoOf(module2)) : {}, "default", module2 && module2.__esModule && "default" in module2 ? { get: () => module2.default, enumerable: true } : { value: module2, enumerable: true })), module2);
};
__export(exports, {
  Targets: () => Targets
});
var import_addCustomAttributes = __toModule(require("./addCustomAttributes"));
var import_adminAddUserToGroup = __toModule(require("./adminAddUserToGroup"));
var import_adminConfirmSignUp = __toModule(require("./adminConfirmSignUp"));
var import_adminCreateUser = __toModule(require("./adminCreateUser"));
var import_adminDeleteUser = __toModule(require("./adminDeleteUser"));
var import_adminDeleteUserAttributes = __toModule(require("./adminDeleteUserAttributes"));
var import_adminDisableUser = __toModule(require("./adminDisableUser"));
var import_adminEnableUser = __toModule(require("./adminEnableUser"));
var import_adminGetUser = __toModule(require("./adminGetUser"));
var import_adminInitiateAuth = __toModule(require("./adminInitiateAuth"));
var import_adminListGroupsForUser = __toModule(require("./adminListGroupsForUser"));
var import_adminRemoveUserFromGroup = __toModule(require("./adminRemoveUserFromGroup"));
var import_adminSetUserPassword = __toModule(require("./adminSetUserPassword"));
var import_adminUpdateUserAttributes = __toModule(require("./adminUpdateUserAttributes"));
var import_changePassword = __toModule(require("./changePassword"));
var import_confirmForgotPassword = __toModule(require("./confirmForgotPassword"));
var import_confirmSignUp = __toModule(require("./confirmSignUp"));
var import_createGroup = __toModule(require("./createGroup"));
var import_createUserPool = __toModule(require("./createUserPool"));
var import_createUserPoolClient = __toModule(require("./createUserPoolClient"));
var import_deleteGroup = __toModule(require("./deleteGroup"));
var import_deleteUser = __toModule(require("./deleteUser"));
var import_deleteUserAttributes = __toModule(require("./deleteUserAttributes"));
var import_deleteUserPool = __toModule(require("./deleteUserPool"));
var import_deleteUserPoolClient = __toModule(require("./deleteUserPoolClient"));
var import_describeUserPool = __toModule(require("./describeUserPool"));
var import_describeUserPoolClient = __toModule(require("./describeUserPoolClient"));
var import_forgotPassword = __toModule(require("./forgotPassword"));
var import_getGroup = __toModule(require("./getGroup"));
var import_getUser = __toModule(require("./getUser"));
var import_getUserAttributeVerificationCode = __toModule(require("./getUserAttributeVerificationCode"));
var import_getUserPoolMfaConfig = __toModule(require("./getUserPoolMfaConfig"));
var import_initiateAuth = __toModule(require("./initiateAuth"));
var import_listGroups = __toModule(require("./listGroups"));
var import_listUserPoolClients = __toModule(require("./listUserPoolClients"));
var import_listUserPools = __toModule(require("./listUserPools"));
var import_listUsers = __toModule(require("./listUsers"));
var import_listUsersInGroup = __toModule(require("./listUsersInGroup"));
var import_respondToAuthChallenge = __toModule(require("./respondToAuthChallenge"));
var import_revokeToken = __toModule(require("./revokeToken"));
var import_signUp = __toModule(require("./signUp"));
var import_updateGroup = __toModule(require("./updateGroup"));
var import_updateUserAttributes = __toModule(require("./updateUserAttributes"));
var import_updateUserPool = __toModule(require("./updateUserPool"));
var import_updateUserPoolClient = __toModule(require("./updateUserPoolClient"));
var import_verifyUserAttribute = __toModule(require("./verifyUserAttribute"));
const Targets = {
  AddCustomAttributes: import_addCustomAttributes.AddCustomAttributes,
  AdminAddUserToGroup: import_adminAddUserToGroup.AdminAddUserToGroup,
  AdminConfirmSignUp: import_adminConfirmSignUp.AdminConfirmSignUp,
  AdminCreateUser: import_adminCreateUser.AdminCreateUser,
  AdminDeleteUser: import_adminDeleteUser.AdminDeleteUser,
  AdminDeleteUserAttributes: import_adminDeleteUserAttributes.AdminDeleteUserAttributes,
  AdminDisableUser: import_adminDisableUser.AdminDisableUser,
  AdminEnableUser: import_adminEnableUser.AdminEnableUser,
  AdminGetUser: import_adminGetUser.AdminGetUser,
  AdminInitiateAuth: import_adminInitiateAuth.AdminInitiateAuth,
  AdminListGroupsForUser: import_adminListGroupsForUser.AdminListGroupsForUser,
  AdminRemoveUserFromGroup: import_adminRemoveUserFromGroup.AdminRemoveUserFromGroup,
  AdminSetUserPassword: import_adminSetUserPassword.AdminSetUserPassword,
  AdminUpdateUserAttributes: import_adminUpdateUserAttributes.AdminUpdateUserAttributes,
  ChangePassword: import_changePassword.ChangePassword,
  ConfirmForgotPassword: import_confirmForgotPassword.ConfirmForgotPassword,
  ConfirmSignUp: import_confirmSignUp.ConfirmSignUp,
  CreateGroup: import_createGroup.CreateGroup,
  CreateUserPool: import_createUserPool.CreateUserPool,
  CreateUserPoolClient: import_createUserPoolClient.CreateUserPoolClient,
  DeleteGroup: import_deleteGroup.DeleteGroup,
  DeleteUser: import_deleteUser.DeleteUser,
  DeleteUserAttributes: import_deleteUserAttributes.DeleteUserAttributes,
  DeleteUserPool: import_deleteUserPool.DeleteUserPool,
  DeleteUserPoolClient: import_deleteUserPoolClient.DeleteUserPoolClient,
  DescribeUserPool: import_describeUserPool.DescribeUserPool,
  DescribeUserPoolClient: import_describeUserPoolClient.DescribeUserPoolClient,
  ForgotPassword: import_forgotPassword.ForgotPassword,
  GetGroup: import_getGroup.GetGroup,
  GetUser: import_getUser.GetUser,
  GetUserAttributeVerificationCode: import_getUserAttributeVerificationCode.GetUserAttributeVerificationCode,
  GetUserPoolMfaConfig: import_getUserPoolMfaConfig.GetUserPoolMfaConfig,
  InitiateAuth: import_initiateAuth.InitiateAuth,
  ListGroups: import_listGroups.ListGroups,
  ListUserPoolClients: import_listUserPoolClients.ListUserPoolClients,
  ListUserPools: import_listUserPools.ListUserPools,
  ListUsers: import_listUsers.ListUsers,
  ListUsersInGroup: import_listUsersInGroup.ListUsersInGroup,
  RespondToAuthChallenge: import_respondToAuthChallenge.RespondToAuthChallenge,
  RevokeToken: import_revokeToken.RevokeToken,
  SignUp: import_signUp.SignUp,
  UpdateGroup: import_updateGroup.UpdateGroup,
  UpdateUserAttributes: import_updateUserAttributes.UpdateUserAttributes,
  UpdateUserPool: import_updateUserPool.UpdateUserPool,
  UpdateUserPoolClient: import_updateUserPoolClient.UpdateUserPoolClient,
  VerifyUserAttribute: import_verifyUserAttribute.VerifyUserAttribute
};
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  Targets
});
