import { UpdateGroupRequest, UpdateGroupResponse } from "aws-sdk/clients/cognitoidentityserviceprovider";
import { Services } from "../services";
import { Target } from "./Target";
export declare type UpdateGroupTarget = Target<UpdateGroupRequest, UpdateGroupResponse>;
declare type UpdateGroupServices = Pick<Services, "clock" | "cognito">;
export declare const UpdateGroup: ({ clock, cognito }: UpdateGroupServices) => UpdateGroupTarget;
export {};
