import { UpdateUserPoolRequest, UpdateUserPoolResponse } from "aws-sdk/clients/cognitoidentityserviceprovider";
import { Services } from "../services";
import { Target } from "./Target";
export declare type UpdateUserPoolTarget = Target<UpdateUserPoolRequest, UpdateUserPoolResponse>;
declare type UpdateUserPoolServices = Pick<Services, "cognito">;
export declare const UpdateUserPool: ({ cognito }: UpdateUserPoolServices) => UpdateUserPoolTarget;
export {};
